Page MenuHomePhabricator

OpenGraphMeta generates thumbnails are too small for Facebook's og:image policy
Closed, ResolvedPublic

Description

Facebook requires thumbnails defined with og:image to be minimally 200px by 200px and recommends a size of 1200x630. OpenGraphMeta generates one that is 300x100, triggering the following error in the sharing debugger:

Provided og:image URL, https://url/images/thumb/c/cb/Diagramme_de_coeur.png/99px-Diagramme_de_coeur.png was not valid because it did not meet the minimum size constraint of 200px by 200px.

In OpenGraphMeta.class.php, changing line 76 to:

$meta['og:image'] = wfExpandUrl( $mainImage->createThumb( 1200, 630 ) );

fixes the issue.

Details

Related Gerrit Patches:
mediawiki/extensions/OpenGraphMeta : masterGenerate recommended size thumbnails for OpenGraph previews

Event Timeline

Tinss created this task.May 6 2018, 3:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 6 2018, 3:48 PM
Tinss renamed this task from OpenGraphMeta generates thumbnails that are too small to OpenGraphMeta thumbnails are too small for Facebook's og:image policy.May 6 2018, 3:53 PM
Tinss updated the task description. (Show Details)
Tinss renamed this task from OpenGraphMeta thumbnails are too small for Facebook's og:image policy to OpenGraphMeta generates thumbnails are too small for Facebook's og:image policy.May 6 2018, 4:06 PM
Tinss updated the task description. (Show Details)
SamanthaNguyen triaged this task as Medium priority.
SamanthaNguyen added a subscriber: SamanthaNguyen.

Change 431322 had a related patch set uploaded (by SamanthaNguyen; owner: SamanthaNguyen):
[mediawiki/extensions/OpenGraphMeta@master] Generate recommended size thumbnails for OpenGraph previews

https://gerrit.wikimedia.org/r/431322

Change 431322 merged by jenkins-bot:
[mediawiki/extensions/OpenGraphMeta@master] Generate recommended size thumbnails for OpenGraph previews

https://gerrit.wikimedia.org/r/431322

SamanthaNguyen closed this task as Resolved.May 7 2018, 12:13 AM
SamanthaNguyen removed a project: Patch-For-Review.
SamanthaNguyen removed a subscriber: gerritbot.
Vvjjkkii renamed this task from OpenGraphMeta generates thumbnails are too small for Facebook's og:image policy to tidaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed SamanthaNguyen as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from tidaaaaaaa to OpenGraphMeta generates thumbnails are too small for Facebook's og:image policy.Jul 2 2018, 1:56 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to SamanthaNguyen.
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.